package de.sebse.fuplanner.tools;

import androidx.annotation.StringRes;

import de.sebse.fuplanner.services.Canteen.CanteenBrowser;
import de.sebse.fuplanner.services.GoogleAuth.GoogleAuth;
import de.sebse.fuplanner.services.KVV.KVV;

public interface MainActivityListener {
    void onTitleTextChange(String newTitle);

    void onTitleTextChange(@StringRes int titleId);

    void showToast(String message);

    void showToast(@StringRes int msgStringRes);

    KVV getKVV();

    GoogleAuth getGoogleAuth();

    void loginTokenInvalid(boolean doLoginCheck);

    void onRefreshCompleted(boolean isFailed);

    CanteenBrowser getCanteenBrowser();

    void addRequestPermissionsResultListener(RequestPermissionsResultListener listener, String id);

    void removeRequestPermissionsResultListener(String id);

    void refreshNavigation();
}
